Package com.beust.jcommander.validators

# Class NoValueValidator<T>

java.lang.Object
com.beust.jcommander.validators.NoValueValidator<T>

All Implemented Interfaces:
  `IValueValidator<T>`

public class NoValueValidator<T> extends Object implements IValueValidator<T>
This is the default value of the validateValueWith attribute.

## Constructor Summary

Constructors
Constructor
Description
`NoValueValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(String parameterName, T parameterValue)`
Validate the parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoValueValidator

public NoValueValidator()

## Method Details

### validate

public void validate(String parameterName, T parameterValue) throws ParameterException
Description copied from interface: `IValueValidator`
Validate the parameter.

Specified by:
  `validate` in interface `IValueValidator<T>`
Parameters:
  `parameterName` - The name of the parameter (e.g. "-host").
  `parameterValue` - The value of the parameter that we need to validate
Throws:
  `ParameterException` - Thrown if the value of the parameter is invalid.